{
	"artifacts" : 
	[
		{
			"path" : "D:/Workspace/RITO/Develop/RitoSIP/ritpsip/app/build/intermediates/cxx/Debug/6c5rc482/obj/arm64-v8a/libbaresip.so"
		}
	],
	"backtrace" : 1,
	"backtraceGraph" : 
	{
		"commands" : 
		[
			"add_library",
			"target_link_libraries",
			"add_definitions",
			"target_include_directories"
		],
		"files" : 
		[
			"CMakeLists.txt"
		],
		"nodes" : 
		[
			{
				"file" : 0
			},
			{
				"command" : 0,
				"file" : 0,
				"line" : 119,
				"parent" : 0
			},
			{
				"command" : 1,
				"file" : 0,
				"line" : 132,
				"parent" : 0
			},
			{
				"command" : 2,
				"file" : 0,
				"line" : 130,
				"parent" : 0
			},
			{
				"command" : 3,
				"file" : 0,
				"line" : 124,
				"parent" : 0
			}
		]
	},
	"compileGroups" : 
	[
		{
			"compileCommandFragments" : 
			[
				{
					"fragment" : "-g -DANDROID -fdata-sections -ffunction-sections -funwind-tables -fstack-protector-strong -no-canonical-prefixes -D_FORTIFY_SOURCE=2 -Wformat -Werror=format-security -DHAVE_INTTYPES_H -lstdc++ -fno-limit-debug-info  -fPIC"
				}
			],
			"defines" : 
			[
				{
					"backtrace" : 3,
					"define" : "HAVE_PTHREAD"
				},
				{
					"define" : "baresip_EXPORTS"
				}
			],
			"includes" : 
			[
				{
					"backtrace" : 4,
					"path" : "D:/Workspace/RITO/Develop/RitoSIP/ritpsip/app/src/main/cpp/../../../../distribution.video/openssl/include"
				},
				{
					"backtrace" : 4,
					"path" : "D:/Workspace/RITO/Develop/RitoSIP/ritpsip/app/src/main/cpp/../../../../distribution.video/ffmpeg/include"
				},
				{
					"backtrace" : 4,
					"path" : "D:/Workspace/RITO/Develop/RitoSIP/ritpsip/app/src/main/cpp/../../../../distribution.video/re/include"
				},
				{
					"backtrace" : 4,
					"path" : "D:/Workspace/RITO/Develop/RitoSIP/ritpsip/app/src/main/cpp/../../../../distribution.video/baresip/include"
				}
			],
			"language" : "C",
			"sourceIndexes" : 
			[
				0,
				1
			],
			"sysroot" : 
			{
				"path" : "D:/Android/Sdk/ndk/27.2.12479018/toolchains/llvm/prebuilt/windows-x86_64/sysroot"
			}
		}
	],
	"id" : "baresip::@6890427a1f51a3e7e1df",
	"link" : 
	{
		"commandFragments" : 
		[
			{
				"fragment" : "-Wl,--build-id=sha1 -Wl,--no-rosegment -Wl,--no-undefined-version -Wl,--fatal-warnings -Wl,--no-undefined -Qunused-arguments",
				"role" : "flags"
			},
			{
				"backtrace" : 2,
				"fragment" : "-landroid",
				"role" : "libraries"
			},
			{
				"backtrace" : 2,
				"fragment" : "-lEGL",
				"role" : "libraries"
			},
			{
				"backtrace" : 2,
				"fragment" : "-lGLESv2",
				"role" : "libraries"
			},
			{
				"backtrace" : 2,
				"fragment" : "-lGLESv1_CM",
				"role" : "libraries"
			},
			{
				"backtrace" : 2,
				"fragment" : "-laaudio",
				"role" : "libraries"
			},
			{
				"backtrace" : 2,
				"fragment" : "D:\\Workspace\\RITO\\Develop\\RitoSIP\\ritpsip\\app\\src\\main\\cpp\\..\\..\\..\\..\\distribution.video\\baresip\\lib\\arm64-v8a\\libbaresip.a",
				"role" : "libraries"
			},
			{
				"backtrace" : 2,
				"fragment" : "D:\\Workspace\\RITO\\Develop\\RitoSIP\\ritpsip\\app\\src\\main\\cpp\\..\\..\\..\\..\\distribution.video\\re\\lib\\arm64-v8a\\libre.a",
				"role" : "libraries"
			},
			{
				"backtrace" : 2,
				"fragment" : "D:\\Workspace\\RITO\\Develop\\RitoSIP\\ritpsip\\app\\src\\main\\cpp\\..\\..\\..\\..\\distribution.video\\openssl\\lib\\arm64-v8a\\libssl.a",
				"role" : "libraries"
			},
			{
				"backtrace" : 2,
				"fragment" : "D:\\Workspace\\RITO\\Develop\\RitoSIP\\ritpsip\\app\\src\\main\\cpp\\..\\..\\..\\..\\distribution.video\\openssl\\lib\\arm64-v8a\\libcrypto.a",
				"role" : "libraries"
			},
			{
				"backtrace" : 2,
				"fragment" : "D:\\Workspace\\RITO\\Develop\\RitoSIP\\ritpsip\\app\\src\\main\\cpp\\..\\..\\..\\..\\distribution.video\\opus\\lib\\arm64-v8a\\libopus.a",
				"role" : "libraries"
			},
			{
				"backtrace" : 2,
				"fragment" : "D:\\Workspace\\RITO\\Develop\\RitoSIP\\ritpsip\\app\\src\\main\\cpp\\..\\..\\..\\..\\distribution.video\\ffmpeg\\lib\\arm64-v8a\\libavdevice.so",
				"role" : "libraries"
			},
			{
				"backtrace" : 2,
				"fragment" : "D:\\Workspace\\RITO\\Develop\\RitoSIP\\ritpsip\\app\\src\\main\\cpp\\..\\..\\..\\..\\distribution.video\\ffmpeg\\lib\\arm64-v8a\\libavfilter.so",
				"role" : "libraries"
			},
			{
				"backtrace" : 2,
				"fragment" : "D:\\Workspace\\RITO\\Develop\\RitoSIP\\ritpsip\\app\\src\\main\\cpp\\..\\..\\..\\..\\distribution.video\\ffmpeg\\lib\\arm64-v8a\\libswscale.so",
				"role" : "libraries"
			},
			{
				"backtrace" : 2,
				"fragment" : "D:\\Workspace\\RITO\\Develop\\RitoSIP\\ritpsip\\app\\src\\main\\cpp\\..\\..\\..\\..\\distribution.video\\ffmpeg\\lib\\arm64-v8a\\libavformat.so",
				"role" : "libraries"
			},
			{
				"backtrace" : 2,
				"fragment" : "D:\\Workspace\\RITO\\Develop\\RitoSIP\\ritpsip\\app\\src\\main\\cpp\\..\\..\\..\\..\\distribution.video\\ffmpeg\\lib\\arm64-v8a\\libavcodec.so",
				"role" : "libraries"
			},
			{
				"backtrace" : 2,
				"fragment" : "D:\\Workspace\\RITO\\Develop\\RitoSIP\\ritpsip\\app\\src\\main\\cpp\\..\\..\\..\\..\\distribution.video\\x264\\lib\\arm64-v8a\\libx264.a",
				"role" : "libraries"
			},
			{
				"backtrace" : 2,
				"fragment" : "D:\\Workspace\\RITO\\Develop\\RitoSIP\\ritpsip\\app\\src\\main\\cpp\\..\\..\\..\\..\\distribution.video\\aom\\lib\\arm64-v8a\\libaom.a",
				"role" : "libraries"
			},
			{
				"backtrace" : 2,
				"fragment" : "D:\\Workspace\\RITO\\Develop\\RitoSIP\\ritpsip\\app\\src\\main\\cpp\\..\\..\\..\\..\\distribution.video\\png\\lib\\arm64-v8a\\libpng.a",
				"role" : "libraries"
			},
			{
				"backtrace" : 2,
				"fragment" : "D:\\Workspace\\RITO\\Develop\\RitoSIP\\ritpsip\\app\\src\\main\\cpp\\..\\..\\..\\..\\distribution.video\\vpx\\lib\\arm64-v8a\\libvpx.a",
				"role" : "libraries"
			},
			{
				"backtrace" : 2,
				"fragment" : "D:\\Workspace\\RITO\\Develop\\RitoSIP\\ritpsip\\app\\src\\main\\cpp\\..\\..\\..\\..\\distribution.video\\ffmpeg\\lib\\arm64-v8a\\libavutil.so",
				"role" : "libraries"
			},
			{
				"backtrace" : 2,
				"fragment" : "D:\\Workspace\\RITO\\Develop\\RitoSIP\\ritpsip\\app\\src\\main\\cpp\\..\\..\\..\\..\\distribution.video\\ffmpeg\\lib\\arm64-v8a\\libswresample.so",
				"role" : "libraries"
			},
			{
				"backtrace" : 2,
				"fragment" : "D:\\Workspace\\RITO\\Develop\\RitoSIP\\ritpsip\\app\\src\\main\\cpp\\..\\..\\..\\..\\distribution.video\\spandsp\\lib\\arm64-v8a\\libspandsp.a",
				"role" : "libraries"
			},
			{
				"backtrace" : 2,
				"fragment" : "D:\\Workspace\\RITO\\Develop\\RitoSIP\\ritpsip\\app\\src\\main\\cpp\\..\\..\\..\\..\\distribution.video\\g7221\\lib\\arm64-v8a\\libg722_1.a",
				"role" : "libraries"
			},
			{
				"backtrace" : 2,
				"fragment" : "D:\\Workspace\\RITO\\Develop\\RitoSIP\\ritpsip\\app\\src\\main\\cpp\\..\\..\\..\\..\\distribution.video\\g729\\lib\\arm64-v8a\\libbcg729.a",
				"role" : "libraries"
			},
			{
				"backtrace" : 2,
				"fragment" : "D:\\Workspace\\RITO\\Develop\\RitoSIP\\ritpsip\\app\\src\\main\\cpp\\..\\..\\..\\..\\distribution.video\\codec2\\lib\\arm64-v8a\\libcodec2.a",
				"role" : "libraries"
			},
			{
				"backtrace" : 2,
				"fragment" : "D:\\Workspace\\RITO\\Develop\\RitoSIP\\ritpsip\\app\\src\\main\\cpp\\..\\..\\..\\..\\distribution.video\\amr\\lib\\arm64-v8a\\libamrnb.a",
				"role" : "libraries"
			},
			{
				"backtrace" : 2,
				"fragment" : "D:\\Workspace\\RITO\\Develop\\RitoSIP\\ritpsip\\app\\src\\main\\cpp\\..\\..\\..\\..\\distribution.video\\amr\\lib\\arm64-v8a\\libamrwb.a",
				"role" : "libraries"
			},
			{
				"backtrace" : 2,
				"fragment" : "D:\\Workspace\\RITO\\Develop\\RitoSIP\\ritpsip\\app\\src\\main\\cpp\\..\\..\\..\\..\\distribution.video\\amr\\lib\\arm64-v8a\\libamrwbenc.a",
				"role" : "libraries"
			},
			{
				"backtrace" : 2,
				"fragment" : "D:\\Workspace\\RITO\\Develop\\RitoSIP\\ritpsip\\app\\src\\main\\cpp\\..\\..\\..\\..\\distribution.video\\webrtc\\lib\\arm64-v8a\\libwebrtc.a",
				"role" : "libraries"
			},
			{
				"backtrace" : 2,
				"fragment" : "D:\\Workspace\\RITO\\Develop\\RitoSIP\\ritpsip\\app\\src\\main\\cpp\\..\\..\\..\\..\\distribution.video\\gzrtp\\lib\\arm64-v8a\\libzrtpcppcore.a",
				"role" : "libraries"
			},
			{
				"backtrace" : 2,
				"fragment" : "D:\\Workspace\\RITO\\Develop\\RitoSIP\\ritpsip\\app\\src\\main\\cpp\\..\\..\\..\\..\\distribution.video\\sndfile\\lib\\arm64-v8a\\libsndfile.a",
				"role" : "libraries"
			},
			{
				"backtrace" : 2,
				"fragment" : "-lz",
				"role" : "libraries"
			},
			{
				"backtrace" : 2,
				"fragment" : "-llog",
				"role" : "libraries"
			},
			{
				"backtrace" : 2,
				"fragment" : "-lcamera2ndk",
				"role" : "libraries"
			},
			{
				"backtrace" : 2,
				"fragment" : "D:\\Workspace\\RITO\\Develop\\RitoSIP\\ritpsip\\app\\src\\main\\cpp\\..\\..\\..\\..\\distribution.video\\cpu_features\\lib\\arm64-v8a\\libcpu_features.a",
				"role" : "libraries"
			},
			{
				"backtrace" : 2,
				"fragment" : "D:\\Workspace\\RITO\\Develop\\RitoSIP\\ritpsip\\app\\src\\main\\cpp\\..\\..\\..\\..\\distribution.video\\cpu_features\\lib\\arm64-v8a\\libndk_compat.a",
				"role" : "libraries"
			},
			{
				"backtrace" : 2,
				"fragment" : "-lmediandk",
				"role" : "libraries"
			},
			{
				"fragment" : "-latomic -lm",
				"role" : "libraries"
			}
		],
		"language" : "C",
		"sysroot" : 
		{
			"path" : "D:/Android/Sdk/ndk/27.2.12479018/toolchains/llvm/prebuilt/windows-x86_64/sysroot"
		}
	},
	"name" : "baresip",
	"nameOnDisk" : "libbaresip.so",
	"paths" : 
	{
		"build" : ".",
		"source" : "."
	},
	"sourceGroups" : 
	[
		{
			"name" : "Source Files",
			"sourceIndexes" : 
			[
				0,
				1
			]
		}
	],
	"sources" : 
	[
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "baresip.c",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "vidisp.c",
			"sourceGroupIndex" : 0
		}
	],
	"type" : "SHARED_LIBRARY"
}
